Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.decider.forager
Class AcceptedForager

    java.lang.Object
      org.drools.planner.core.solver.event.SolverLifecycleListenerAdapter
          org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
              org.drools.planner.core.localsearch.decider.forager.AbstractForager
                  org.drools.planner.core.localsearch.decider.forager.AcceptedForager

All Implemented Interfaces:
  EventListener, Forager, LocalSearchSolverPhaseLifecycleListener, SolverLifecycleListener

    public class AcceptedForager

extends AbstractForager

An AcceptedForager is a Forager which forages accepted moves and ignores unaccepted moves.

See Also:
  `Forager`, `Acceptor`

Field Summary
`protected long` | `acceptedMoveCount`
`protected DeciderScoreComparatorFactory` | `deciderScoreComparatorFactory`
`protected LocalSearchMoveScope` | `earlyPickedMoveScope`
`protected Score` | `maxAcceptedScore`
`protected List<LocalSearchMoveScope>` | `maxScoreAcceptedList`
`protected List<LocalSearchMoveScope>` | `maxScoreUnacceptedList`
`protected Score` | `maxUnacceptedScore`
`protected int` | `minimalAcceptedSelection`
`protected PickEarlyType` | `pickEarlyType`
`protected Comparator<Score>` | `scoreComparator`
`protected long` | `selectedMoveCount`

Fields inherited from class org.drools.planner.core.localsearch.decider.forager.AbstractForager
`logger`

Constructor Summary
`AcceptedForager(PickEarlyType pickEarlyType, int minimalAcceptedSelection)`

Method Summary
`void` | `addMove(LocalSearchMoveScope moveScope)`
`protected void` | `addToMaxScoreAcceptedList(LocalSearchMoveScope moveScope)`
`protected void` | `addToMaxScoreUnacceptedList(LocalSearchMoveScope moveScope)`
`protected void` | `checkPickEarly(LocalSearchMoveScope moveScope)`
`boolean` | `isQuitEarly()`
`void` | `phaseEnded(LocalSearchSolverPhaseScope phaseScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope phaseScope)`
`protected LocalSearchMoveScope` | `pickMaxScoreMoveScope(LocalSearchStepScope stepScope)`
`LocalSearchMoveScope` | `pickMove(LocalSearchStepScope stepScope)`
`void` | `setDeciderScoreComparatorFactory(DeciderScoreComparatorFactory deciderScoreComparator)`
`void` | `stepEnded(LocalSearchStepScope stepScope)`
`void` | `stepStarted(LocalSearchStepScope stepScope)`
`boolean` | `supportsNeverEndingMoveSelector()`
`String` | `toString()`

Methods inherited from class org.drools.planner.core.solver.event.SolverLifecycleListenerAdapter
`solvingEnded, solvingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### deciderScoreComparatorFactory

    protected DeciderScoreComparatorFactory deciderScoreComparatorFactory

### pickEarlyType

    protected final PickEarlyType pickEarlyType

### minimalAcceptedSelection

    protected final int minimalAcceptedSelection

### scoreComparator

    protected Comparator<Score> scoreComparator

### selectedMoveCount

    protected long selectedMoveCount

### acceptedMoveCount

    protected long acceptedMoveCount

### maxScoreAcceptedList

    protected List<LocalSearchMoveScope> maxScoreAcceptedList

### maxAcceptedScore

    protected Score maxAcceptedScore

### maxScoreUnacceptedList

    protected List<LocalSearchMoveScope> maxScoreUnacceptedList

### maxUnacceptedScore

    protected Score maxUnacceptedScore

### earlyPickedMoveScope

    protected LocalSearchMoveScope earlyPickedMoveScope

Constructor Detail

### AcceptedForager

    public AcceptedForager(PickEarlyType pickEarlyType,
                           int minimalAcceptedSelection)

Method Detail

### setDeciderScoreComparatorFactory

    public void setDeciderScoreComparatorFactory(DeciderScoreComparatorFactory deciderScoreComparator)

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope phaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `phaseStarted` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

### stepStarted

    public void stepStarted(LocalSearchStepScope stepScope)

  Specified by:
    `stepStarted` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `stepStarted` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

### supportsNeverEndingMoveSelector

    public boolean supportsNeverEndingMoveSelector()

### addMove

    public void addMove(LocalSearchMoveScope moveScope)

### checkPickEarly

    protected void checkPickEarly(LocalSearchMoveScope moveScope)

### addToMaxScoreAcceptedList

    protected void addToMaxScoreAcceptedList(LocalSearchMoveScope moveScope)

### addToMaxScoreUnacceptedList

    protected void addToMaxScoreUnacceptedList(LocalSearchMoveScope moveScope)

### isQuitEarly

    public boolean isQuitEarly()

### pickMove

    public LocalSearchMoveScope pickMove(LocalSearchStepScope stepScope)

### pickMaxScoreMoveScope

    protected LocalSearchMoveScope pickMaxScoreMoveScope(LocalSearchStepScope stepScope)

### stepEnded

    public void stepEnded(LocalSearchStepScope stepScope)

  Specified by:
    `stepEnded` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `stepEnded` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

### phaseEnded

    public void phaseEnded(LocalSearchSolverPhaseScope phaseScope)

  Specified by:
    `phaseEnded` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `phaseEnded` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.